LFR-FSW - Task #3991

Mise en place d'un protocole de test pour la validation de la correction du bug sur le moyennage des
SM a FO et F1

21/10/2022 01:47 PM - bruno katra

Status: In Progress Start date: 21/10/2022
Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

Le bug est détaillé 1a : #3821

VALIDATION : j'ai créé points a points des signaux personnalisés qui sont ensuite générés par les ANALOG DISCOVERY. En
utilisant les scripts pour la validation de PAS : ces signaux sont triggés de facon a étre synchrones avec l'acquisition des ASM. Je
génére ainsi des +/- courtes impulsions a une fréquence définie que je peux faire coincider temporellement avec une ou plusieurs
des 8 SM calculés a bord.

En comparant ensuite 3.2.0.24 VS 3.3.0.x : on peut caractériser si toutes les SM sont bien prises en compte ou bien seulement la
premiére comme avant.

Related issues:
Related to Bug #3821: Moyennage des SM erroné pour FO et F1 dans FSW <=3.2.0.24 Resolved 29/03/2021

History

#1 - 21/10/2022 01:47 PM - bruno katra
- Related to Bug #3821: Moyennage des SM erroné pour FO et F1 dans FSW <=3.2.0.24 added

#2 - 21/10/2022 01:54 PM - bruno katra

- Subject changed from Mie en place d'un protocole de test pour la validation de la correction du bug sur le moyennage des SM a FO et F1 to Mise en
place d'un protocole de test pour la validation de la correction du bug sur le moyennage des SM a FO et F1

- Description updated

- Status changed from New to In Progress

#3 - 21/10/2022 01:57 PM - bruno katra
- Description updated

#4 - 31/10/2022 03:37 PM - bruno katra

- File 3.2.0.24-signal01_on_E1.png added

- File 3.2.0.24-signal02_on_E1.png added

- File 3.3.0.10(unit KCOeff)-signal01_on_E1.png added
- File 3.3.0.10(unit KCOeff)-signal02_on_E1.png added
- File signal01-1024Hz_on_SMO0.png added

- File signal02-1024Hz_on_SM3-6.png added

#5 - 31/10/2022 03:50 PM - bruno katra
- File deleted (3.3.0.10(unit KCOeff)-signal01_on_E1.png)

#6 - 31/10/2022 03:50 PM - bruno katra
- File deleted (3.3.0.10(unit KCOeff)-signal02_on_E1.png)

#7 - 31/10/2022 03:50 PM - bruno katra
- File 3.3.0.10_unit KCOeff-signal01_on_E1.png added
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3821

- File 3.3.0.10_unit KCOeff-signal02_on_E1.png added

#8 - 31/10/2022 03:57 PM - bruno katra
- File deleted (3.3.0.10_unit KCOeff-signal02_on_E1.png)

#9 - 31/10/2022 03:57 PM - bruno katra
- File deleted (3.3.0.10_unit KCOeff-signal01_on_E1.png)

#10 - 31/10/2022 03:57 PM - bruno katra
- File 3.3.0.10_unitKCOeff-signal01_on_E1.png added
- File 3.3.0.10_unitKCOeff-signal02_on_E1.png added

#11 - 31/10/2022 04:01 PM - bruno katra

Premiers résultats @F1 :

Voici les 2 signaux sur mesure utilisés :

SIGNAL 01 :
1.0
0.5
0.0
-05
-1.0
SIGNAL 02 :
TEST EN 3.2.0.24

SIGNAL 01 sur E1 + signal témoin sur E2 (1024Hz continu):

blbl
b2b2 32106 F 4.8106 L
b3b3
' [
e elel 2810 4.10% L
8 e2e2 24108 [
3.2.108 |
select all 2108 F
tabify 1.610¢ [ 2.4.10° |
1.2.108 [
1.6.10% |-
800000 |
400000 800000
1 1 1 1 1 1 1 1 1 1
250 s00 750 1000 1250 1500 250 300 750 1000 1250 1500

On voit bien un pic a 1024Hz sur El, le signal injecté sur SM[0] est bien pris en compte avec une intensité
trées forte (proche du signal témoin E2) alors que seule 1 SM a du signal. Cependant le signal n'a pas
la méme intensité que le signal témoin alors qu'on l'attendrait ?27?

SIGNAL 02 sur E1 + signal témoin sur E2 (1024Hz continu):
blbl

1.75
b2b2 a.8106 L
b3b3 1.5 F
e elel 4.10% |
8 222 1.25 F
3.210°
select all 1k
tabify 2.410°
. 0.75
1.610°% |
05|
200000 |
0.25
1 1 1 1 1 1 O 1 1 1 1 1
250 500 750 1000 1250 1500 250 500 750 1000 1250 1500

Cette fois on ne voit rien sur E1l alors que les SM[3] a SM[6] ont du signal. Elles ne sont pas prise en compte
dans le calcul ASM.

TEST EN 3.3.0.10 (avec KCOEFF unitaires)

SIGNAL 01 sur E1 + signal témoin sur E2 (1024Hz continu):

blbl
b2b2 420000 - 4.8:10°
b3b3
360000
e clel A.1065 |
8 2222 300000 -
3.2.106
select all 540000 L
tabify 2.4:10¢ -
i 180000 |-
1ns L
120000 - 1.6:10
&£0000 - 800000 |
1 1 1 1 1 1 1 1 1 1
250 500 750 1000 1250 1500 250 500 750 1000 1250 1500

On voit bien un un signal sur El avec une intensité bien plus faible que sur E2.

SIGNAL 02 sur E1 + signal témoin sur E2 (1024Hz continu):

. 1.75:10°¢
b2b2 a.810%L
b3b3 1.5'105 L
8 elel A4.10% |
e ale? 1.2510° 1
3.2:.10%
select all 1.106 [
tabify 2.4:10% |
750000
108 L
500000 | 1.6:10
250000 | 800000 |-
1 1 1 1 1 1 1 1 1 1
250 500 750 1000 1250 1500 250 500 750 1000 1250 1500
Le signal sur les SM[3] a SM[6] est cette fois visible en 3.3.0.10 contrairement a 3.2.0.24 avec une instens

ité cohérente.

#12 - 31/10/2022 04:03 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

Thomas : veux-tu des tests avec les datadumps afin de valider la cohérence des intensités mesurées?

Je vais faire des tests similaires a FO
#13 - 02/11/2022 12:50 PM - thomas chust
- Assignee changed from thomas chust to bruno katra
bruno katra wrote in #note-12:

Thomas : veux-tu des tests avec les datadumps afin de valider la cohérence des intensités mesurées?

Oui je veux bien.

Pour le test en 3.3.0.10 (avec KCOEFF unitaires) le SIGNAL 01 sur E1 semble bien 4 fois plus faible que le SIGNAL 02 sur E1. Mais le signal t¢émoin
sur E2 (1024Hz continu) ne vaut pas 8 fois le SIGNAL 01 ou 2 fois le SIGNAL 02 ?

Le SIGNAL 01 sur E1 en 3.3.0.10 semble aussi 8 fois plus faible qu'en 3.2.0.24, ce qui est ok. Et effectivement je ne comprend pas la différence
d'intensité avec le signal témoin.

#14 - 14/12/2022 12:54 PM - bruno katra
thomas chust wrote in #note-13:
bruno katra wrote in #note-12:

Thomas : veux-tu des tests avec les datadumps afin de valider la cohérence des intensités mesurées?

Oui je veux bien.

Pour le test en 3.3.0.10 (avec KCOEFF unitaires) le SIGNAL 01 sur E1 semble bien 4 fois plus faible que le SIGNAL 02 sur E1. Mais le signal
témoin sur E2 (1024Hz continu) ne vaut pas 8 fois le SIGNAL 01 ou 2 fois le SIGNAL 02 ?

Le SIGNAL 01 sur E1 en 3.3.0.10 semble aussi 8 fois plus faible qu'en 3.2.0.24, ce qui est ok. Et effectivement je ne comprend pas la différence
d'intensité avec le signal témoin.

@ThomasC : il me semble qu'on avait conclu que les différences s'expliquaient finalement mais je ne sais plus pourquoi? Tu te rappelles?
